curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"message": "Success",
"data": {
"total_pages": 14,
"total_items": 139,
"data": [
{
"order_id": "8c097db6-ed61-4317-8180-edd4e792e227",
"short_order_id": "CDP260907-2DQ725KP",
"order_type": "Deposit",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "1000.15",
"network_fee": "0",
"processing_fee": "0.1",
"buy_currency": "USDT",
"buy_amount": "1000.15",
"order_status": "Success",
"create_time": "2026-09-07 16:33:25",
"complete_time": "2026-09-07 16:33:29"
},
{
"order_id": "63845678-7929-45bb-a259-92fc0d616c41",
"short_order_id": "WD260907-LOSHDK2R",
"order_type": "Withdraw",
"balance_id": "6d88b9e3-e1a8-4a7f-95e0-86b5f4a55e66",
"sell_currency": "USDC",
"sell_amount": "1000.14",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDC",
"buy_amount": "1000.14",
"order_status": "Pending",
"create_time": "2026-09-07 16:33:03",
"complete_time": ""
},
{
"order_id": "064fa5ab-6c4f-46cb-98ca-7f37f544485c",
"short_order_id": "SW260907-QJJ3JH2Y",
"order_type": "Swap",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "5000.13",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDC",
"buy_amount": "4999.880005",
"order_status": "Success",
"create_time": "2026-09-07 16:33:00",
"complete_time": "2026-09-07 16:33:58"
},
{
"order_id": "b783c2df-f9a9-4a0f-9f92-d82b5313fe8b",
"short_order_id": "ES260907-EH87W56B",
"order_type": "Sell",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "1000.12",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USD",
"buy_amount": "999.79",
"order_status": "Success",
"create_time": "2026-09-07 16:32:59",
"complete_time": "2026-09-07 16:33:48"
},
{
"order_id": "ff856096-0a74-491b-b7d1-612f326b6b7b",
"short_order_id": "EB260907-YIRIGBDG",
"order_type": "Buy",
"balance_id": "",
"sell_currency": "USD",
"sell_amount": "1000.11",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDT",
"buy_amount": "1000.410123",
"order_status": "Success",
"create_time": "2026-09-07 16:32:59",
"complete_time": "2026-09-07 16:33:36"
},
{
"order_id": "f52f41b5-9c1a-4fe7-82cf-e1642af3f5c2",
"short_order_id": "WD260907-N4EPS2X7",
"order_type": "Withdraw",
"balance_id": "6d88b9e3-e1a8-4a7f-95e0-86b5f4a55e66",
"sell_currency": "USDC",
"sell_amount": "2.31",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDC",
"buy_amount": "2.31",
"order_status": "Pending",
"create_time": "2026-09-07 16:31:49",
"complete_time": ""
},
{
"order_id": "8f7b29c9-b512-4ee8-ba30-2144284083ae",
"short_order_id": "SW260907-XVF54JJ3",
"order_type": "Swap",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "1.25",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDC",
"buy_amount": "1.249937",
"order_status": "Success",
"create_time": "2026-09-07 16:28:57",
"complete_time": "2026-09-07 16:28:59"
},
{
"order_id": "87596709-d1a4-4feb-bdef-949921657bb7",
"short_order_id": "ES260907-E0RAVK5L",
"order_type": "Sell",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "1.24",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USD",
"buy_amount": "1.23",
"order_status": "Success",
"create_time": "2026-09-07 16:28:57",
"complete_time": "2026-09-07 16:28:58"
},
{
"order_id": "62d3549d-7355-413c-b6f4-431d6a1983fd",
"short_order_id": "EB260907-KXZ605EX",
"order_type": "Buy",
"balance_id": "",
"sell_currency": "USD",
"sell_amount": "1.23",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDT",
"buy_amount": "1.230369",
"order_status": "Success",
"create_time": "2026-09-07 16:28:57",
"complete_time": "2026-09-07 16:28:58"
},
{
"order_id": "664449a1-ac79-410e-b5d2-3b3c05ea9cc0",
"short_order_id": "CDP260907-35W6NR2H",
"order_type": "Deposit",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "1.17",
"network_fee": "0",
"processing_fee": "0.1",
"buy_currency": "USDT",
"buy_amount": "1.17",
"order_status": "Success",
"create_time": "2026-09-07 14:24:18",
"complete_time": "2026-09-07 14:24:23"
}
]
}
}List Asset Transactions
Query transactions for all wallets. Stablecoin Account API Publisher Disclaimer
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/ramp/asset/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"message": "Success",
"data": {
"total_pages": 14,
"total_items": 139,
"data": [
{
"order_id": "8c097db6-ed61-4317-8180-edd4e792e227",
"short_order_id": "CDP260907-2DQ725KP",
"order_type": "Deposit",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "1000.15",
"network_fee": "0",
"processing_fee": "0.1",
"buy_currency": "USDT",
"buy_amount": "1000.15",
"order_status": "Success",
"create_time": "2026-09-07 16:33:25",
"complete_time": "2026-09-07 16:33:29"
},
{
"order_id": "63845678-7929-45bb-a259-92fc0d616c41",
"short_order_id": "WD260907-LOSHDK2R",
"order_type": "Withdraw",
"balance_id": "6d88b9e3-e1a8-4a7f-95e0-86b5f4a55e66",
"sell_currency": "USDC",
"sell_amount": "1000.14",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDC",
"buy_amount": "1000.14",
"order_status": "Pending",
"create_time": "2026-09-07 16:33:03",
"complete_time": ""
},
{
"order_id": "064fa5ab-6c4f-46cb-98ca-7f37f544485c",
"short_order_id": "SW260907-QJJ3JH2Y",
"order_type": "Swap",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "5000.13",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDC",
"buy_amount": "4999.880005",
"order_status": "Success",
"create_time": "2026-09-07 16:33:00",
"complete_time": "2026-09-07 16:33:58"
},
{
"order_id": "b783c2df-f9a9-4a0f-9f92-d82b5313fe8b",
"short_order_id": "ES260907-EH87W56B",
"order_type": "Sell",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "1000.12",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USD",
"buy_amount": "999.79",
"order_status": "Success",
"create_time": "2026-09-07 16:32:59",
"complete_time": "2026-09-07 16:33:48"
},
{
"order_id": "ff856096-0a74-491b-b7d1-612f326b6b7b",
"short_order_id": "EB260907-YIRIGBDG",
"order_type": "Buy",
"balance_id": "",
"sell_currency": "USD",
"sell_amount": "1000.11",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDT",
"buy_amount": "1000.410123",
"order_status": "Success",
"create_time": "2026-09-07 16:32:59",
"complete_time": "2026-09-07 16:33:36"
},
{
"order_id": "f52f41b5-9c1a-4fe7-82cf-e1642af3f5c2",
"short_order_id": "WD260907-N4EPS2X7",
"order_type": "Withdraw",
"balance_id": "6d88b9e3-e1a8-4a7f-95e0-86b5f4a55e66",
"sell_currency": "USDC",
"sell_amount": "2.31",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDC",
"buy_amount": "2.31",
"order_status": "Pending",
"create_time": "2026-09-07 16:31:49",
"complete_time": ""
},
{
"order_id": "8f7b29c9-b512-4ee8-ba30-2144284083ae",
"short_order_id": "SW260907-XVF54JJ3",
"order_type": "Swap",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "1.25",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDC",
"buy_amount": "1.249937",
"order_status": "Success",
"create_time": "2026-09-07 16:28:57",
"complete_time": "2026-09-07 16:28:59"
},
{
"order_id": "87596709-d1a4-4feb-bdef-949921657bb7",
"short_order_id": "ES260907-E0RAVK5L",
"order_type": "Sell",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "1.24",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USD",
"buy_amount": "1.23",
"order_status": "Success",
"create_time": "2026-09-07 16:28:57",
"complete_time": "2026-09-07 16:28:58"
},
{
"order_id": "62d3549d-7355-413c-b6f4-431d6a1983fd",
"short_order_id": "EB260907-KXZ605EX",
"order_type": "Buy",
"balance_id": "",
"sell_currency": "USD",
"sell_amount": "1.23",
"network_fee": "0",
"processing_fee": "0",
"buy_currency": "USDT",
"buy_amount": "1.230369",
"order_status": "Success",
"create_time": "2026-09-07 16:28:57",
"complete_time": "2026-09-07 16:28:58"
},
{
"order_id": "664449a1-ac79-410e-b5d2-3b3c05ea9cc0",
"short_order_id": "CDP260907-35W6NR2H",
"order_type": "Deposit",
"balance_id": "1ef60b09-1712-4cee-9e52-cff573955f9d",
"sell_currency": "USDT",
"sell_amount": "1.17",
"network_fee": "0",
"processing_fee": "0.1",
"buy_currency": "USDT",
"buy_amount": "1.17",
"order_status": "Success",
"create_time": "2026-09-07 14:24:18",
"complete_time": "2026-09-07 14:24:23"
}
]
}
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Items per page (10 to 100, default 10)
10 <= x <= 10010
Page number (≥ 1, default 1)
x >= 11
Exclusive start time used to filter by create_time. ISO 8601 format.
"2024-03-01T00:00:00+08:00"
Exclusive end time used to filter by create_time. ISO 8601 format.
"2024-03-02T00:00:00+08:00"
Wallet currency to query
"USDT"
Order type to query
DEPOSIT, WITHDRAW, SELL, BUY, SWAP, TRANSFER_IN, TRANSFER_OUT "DEPOSIT"
Order status to query
SUBMIT_FAILED, FAILED, PENDING, SUCCESS, SUBMITTED "SUCCESS"
Query by order_id or short_order_id
"8c097db6-ed61-4317-8180-edd4e792e227"

